[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[p2-dev] JUnit4 in org.eclipse.equinox.p2.tests?

As far as I am aware, it would be very easy to allow JUnit4 Tests in org.eclipse.equinox.p2.tests (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=360797 ).

Does anyone know a reason not to do this?

The change would be to really small and limited to org.eclipse.equinox.p2.tests:
- require org.junit 4.8 or later (instead of 3.8 or later)
- change the javacTarget to 1.5 (from jsr14)

Regards
Tobias